> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get client configuration

> Get configuration for the authenticated client including optional cache and update URLs



## OpenAPI

````yaml get /auth/config
openapi: 3.0.3
info:
  title: Diversion Core API
  description: >-
    Definition of the Core API used to access low-level functionality of
    Diversion
  version: 0.2.0
servers:
  - url: https://api.diversion.dev/v0
    description: Base endpoint
security: []
paths:
  /auth/config:
    get:
      tags:
        - Authentication
      summary: Get client configuration
      description: >-
        Get configuration for the authenticated client including optional cache
        and update URLs
      operationId: src.handlers.auth.get_configuration
      responses:
        '200':
          description: Configuration retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfigurationResponse'
        default:
          $ref: '#/components/responses/Error'
      security:
        - OAuth2:
            - coreapi/write
components:
  schemas:
    ConfigurationResponse:
      description: Response containing client configuration information
      type: object
      properties:
        cache_url:
          type: string
          format: uri
          description: Optional URL for cache service configuration
        update_url:
          type: string
          format: uri
          description: Optional URL for update service configuration
        sentry_dsn_agent:
          type: string
          description: Sentry DSN URL for agent client error tracking
          example: https://key1@sentry.io/project1
        sentry_dsn_cli:
          type: string
          description: Sentry DSN URL for CLI client error tracking
          example: https://key2@sentry.io/project2
        sentry_dsn_desktop:
          type: string
          description: Sentry DSN URL for desktop app client error tracking
          example: https://key3@sentry.io/project3
        sentry_dsn_webapp:
          type: string
          description: Sentry DSN URL for web app client error tracking
          example: https://key4@sentry.io/project4
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        detail:
          type: string
        title:
          type: string
        type:
          type: string
      required:
        - status
        - detail
  responses:
    Error:
      description: An error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    OAuth2:
      type: oauth2
      x-tokenInfoFunc: src.token_info.token_auth
      description: This API uses OAuth 2 with the implicit grant flow
      flows:
        implicit:
          authorizationUrl: https://auth.diversion.dev/oauth2/authorize
          scopes:
            coreapi/read: Operations with no possible side-effects
            coreapi/write: Modifying operations
            coreapi/admin: >-
              Organizational operations like adding a repo or changing repo
              properties

````